Create a new video object

JW Player provides several approaches that you can use to add your content to your JW Player account: AWS S3, resumable, and fetch. Our uploading content article explains each option and provides links to code examples that can simplify your work.

Body Params
string

Author of the video.

string

Tier one, IAB contextual content category for the video


Possible values include:

  • Automotive
  • Books and Literature
  • Business and Finance
  • Careers
  • Education
  • Events and Attractions
  • Family and Relationships
  • Fine Art
  • Food & Drink
  • Healthy Living
  • Hobbies & Interests
  • Home & Garden
  • Medical Health
  • Movies
  • Music and Audio
  • News and Politics
  • Personal Finance
  • Pets
  • Pop Culture
  • Real Estate
  • Religion & Spirituality
  • Science
  • Shopping
  • Sports
  • Style & Fashion
  • Technology & Computing
  • Television
  • Travel
  • Video Gaming
string

User-defined parameter .param part of the request parameters (after the ‘.’ separator) specifies name of the parameter. Parameter name should adhere to the following naming rules:

  • Custom param name can contain letters, numbers and the following punctuation characters: ‘.’, ‘_’, ‘-‘
  • Custom param name cannot start with a number or punctuation character
  • Custom param name cannot contain spaces
  • Do not use reserved names for custom parameters, reserved names include: file, tracks, sources, feedid, mediaid
  • Do not use any existing non-custom parameter names, for example: title, description, author, etc.

WARNING: Custom parameters that use a reserved name or an existing name are not guaranteed to be included in the output from the Delivery API.

Valid custom parameters can be specified multiple times. The last one processed will be used.

integer

(signed integer) Video publish date. Specifies UTC date and time (in Unix timestamp format) when the video should be available for streaming. If not specified, defaults to the video creation date and time.

string

Description of the video.

string

URL from where to fetch a video file. Video file will be downloaded and processed on the server using this URL.

integer

(float) Video duration in seconds. Should only be used if sourcetype is set to url.

integer

(signed integer) Video publish expiration date. Specifies UTC date and time (in Unix timestamp format) when the video should stop being available for streaming. If not set opr set to empty string the video will be available indefinitely.

string

Video file MD5 message digest. If supplied and upload_method option is set to single, it will be compared with the MD5 digest calculated for the received video file. Uploaded video will be rejected if MD5 message digests do not match.

string

Key of the Protection Rule that should be applied for this video.

integer

Video file size. If supplied, it will be compared with the size of the received video file. Uploaded video will be rejected if the sizes do not match.

WARNING: The maximum allowed video file size is 25 GiB

string

Video source format:

  • aac: For audios with MIME type audio/aac.

  • flv: For videos with MIME type video/flv.

  • m3u8: For a HLS M3U8 manifest URL.

  • mp3: For audios with MIME type audio/mpeg.

  • mp4: For videos with MIME type video/mp4.

  • mpd: For a DASH MPD URL.

  • rtmp: For an RTMP URL.

  • smil: For a SMIL manifest URL.

  • vorbis: For audios with MIME type audio/ogg.

  • webm: For videos with MIME type video/webm.

  • youtube: For an YouTube video.

Required if sourcetype is set to url.

string

Source type of the video:

  • file: Video with a file source type will be created

  • url: Video with an url source type will be created

Default is file.

string

Only if sourcetype is set to url, URL of the video source

If sourceformat is youtube, sourceurl can be specified as a full URL to the YouTube video or as an YouTube Video ID.

string

Tags for the video. Multiple tags should be comma-separated.

string

Title of the video.

string

The timecode in point for trimming the source in the format HH:MM:SS.mmm, for example 03:02:45.106 for 3 hours, 2 minutes, and 45.106 seconds.

If not specified and trim_out_point is specified, then the trim_in_point will automatically be set to 00:00:00.000. Likewise, if the value is out of bounds, then the trim_in_point will automatically be set to 00:00:00.000.

string

The timecode out point for trimming the source in the format HH:MM:SS.mmm or 03:02:45.106 for 3 hours, 2 minutes, and 45.106 seconds.

If not specified and trim_in_point is specified, then the trim_out_point will automatically be set to the duration of the original video. Likewise, if the value is out of bounds, then the trim_out_point will automatically be set to the duration of the original video.

string

Specifies MIME type of the video file that will be uploaded. Applicable only if upload_method is set to s3. If MIME type provided, it will be used to generate S3 upload signature.

string

Video upload method:

  • single: Video will be uploaded as a single file.

    The single file upload example shows how to use the single parameter.

  • multipart: Video will be uploaded in multiple parts using resumable protocol.

    The multipart file upload example shows how to use the multipart parameter.

  • s3: Video will be uploaded as a single file to AWS S3.

    The s3 file upload example shows how to use the s3 parameter.

    WARNING: S3 file uploads are limited to files less than 5GB in size. For larger files, a different upload method will need to be used.

Default is single.

Headers
string
enum
Defaults to application/xml

Generated from available response content types

Allowed:
Responses

Language
URL
LoadingLoading…
Response
Choose an example:
When sourcetype == file
When sourcetype == url
When download_url is specified
When upload_method == multipart
When upload_method == s3
Response
© 2007- Longtail Ad Solutions, Inc.